package ru.yandex.qe.dispenser.domain.request;

import org.jetbrains.annotations.NonNls;

public class ConcurrentOperationException extends RuntimeException {
    public ConcurrentOperationException() {
    }

    public ConcurrentOperationException(@NonNls final String message) {
        super(message);
    }

    public ConcurrentOperationException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public ConcurrentOperationException(final Throwable cause) {
        super(cause);
    }

    public ConcurrentOperationException(final String message, final Throwable cause, final boolean enableSuppression,
                                        final boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
